关于扩展模块(插件)问题汇总

请问曹老师,我安装模块的时候一直提示这个,不知道怎么解决?

提示这个扩展模块不兼容当前的软件版本,可以先卸载(uninstall)这个模块,之后在Install Extensions菜单栏中重新安装。可能的原因是此模块随着版本升级进行了更新,不适合离线安装以前的旧版本的扩展模块。

不知道怎么手动安装呢,我把这个模块的压缩包下载下来了。

在线安装是首选,手动安装参照问题6

好的,那我再试试。

45
请问曹老师,无法安装这个扩展模块是什么问题呢,谢谢

这种情况是版本号不同不兼容,需要下载版本号为28257的相应扩展模块(插件)。参照问题9将下载地址后面数字更改为28257:
http://slicer.kitware.com/midas3/slicerappstore?layout=empty&os=win&arch=amd64&revision=28257

附windows版本插件(28257)

28257-win-amd64-SegmentEditorExtraEffects-git0d7e643-2019-06-29.zip (197。0 KB)

1 Like

elastix安装了 就是不显示 不知道怎么回事 装了好几个版本 都不行 不知道大家遇到过这个问题么?

关闭杀毒软件、360、各种“卫士”等优化软件,重新安装再试试

学习了。从头学起,看一天能不能学会点啥:smile:

曹老师,你好!对于扩展模块的开发,slicer有相关API吗?在官网上找到的只是一些小例子,不是很全呢

可以官网论坛找找。

安装了插件,安装路径也没有中文,微软自带的杀软也关闭了,但是安装的扩展插件仍然找不到(离线安装的,安装的电脑不能上网),还有解决办法吗?

我更习惯于称之为模块,模块的版本号是否对应?如何安装的?

安装成功之后应该在扩展模块管理器中可以有显示,如上图所示,安装成功的模块后方有Disable和Uninstall字样。

曹老师好,模块的版本号是对应的,Extensions-28257,3Dslicer用的是稳定版4.10.2,用的离线安装模块,安装是成功了,如第一张图,但是安装后全部插件里找不到,如第三张图,另外安装了SegmentEditorExtraEffects和Markups To Model,在Segment Editor也找不到,如第四张图,试用了最新版本,使用改链接后版本后下载的模块,还是找不到。。。。

确实在模块管理器中看到是安装成功,重启软件还没有在Segment Editor中看到增多的工具应该是安装失败了,这种情况我还没有遇到过。软件默认安装路径最好不要更改,用户名称和安装路径不能有中文名称。

曹老师,我安装的都能找到,下载的SlicerVMTK模块打开后显示的是failed to load VMTK libraries,实在不知道哪出错了

部分插件在新版本上不兼容,尝试应用旧版本稳定软件进行vmtk模块的应用。

我的经验是,在有网的电脑上把软件安装后再把插件尽可能的安装上,然后把安装文件的文件夹,考到没有网的电脑,软件和插件都能用了。

1 Like

请问您的问题解决了吗,我和你是一样的不知道怎么处理 :sob: